Page MenuHomePhabricator

VisualEditor registers dependencies on keys from the FancyCaptcha that aren't necessarily specified
Closed, ResolvedPublic1 Estimated Story Points

Description

VisualEditor unconditionally registers this message even though it does not exist by default (provided by the FancyCaptcha plugin).

While somewhat less pretty for the source, I think this means we should move the registration of the relevant module out to VisualEditor.hooks.php.

Similar to what we used to do with the ext.cite.style dependency (only added if Cite is installed).

Event Timeline

Krinkle created this task.Jul 7 2016, 12:01 AM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 7 2016, 12:01 AM
Restricted Application added a subscriber: Zppix. · View Herald Transcript
Krinkle renamed this task from Warning: Unable to fetch 'fancycaptcha-edit message to Warning: Unable to fetch 'fancycaptcha-edit' message.Jul 7 2016, 12:01 AM

Change 298559 had a related patch set uploaded (by Alex Monk):
Don't depend on captcha extension messages in ext.visualEditor.mwcore module

https://gerrit.wikimedia.org/r/298559

Jdforrester-WMF renamed this task from Warning: Unable to fetch 'fancycaptcha-edit' message to VisualEditor registers dependencies on keys from the FancyCaptcha that aren't necessarily specified.Jul 12 2016, 8:35 PM
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF triaged this task as Medium priority.Jul 12 2016, 8:40 PM
Jdforrester-WMF moved this task from TR1: Releases to TR0: Interrupt on the VisualEditor board.

Change 298559 merged by jenkins-bot:
Don't depend on captcha extension messages in ext.visualEditor.mwcore module

https://gerrit.wikimedia.org/r/298559

Krinkle closed this task as Resolved.Jul 28 2016, 8:29 PM